function copy_segy()
  tic;
  fd = segy_open_file('ad006d00w1r06rs31.segy');
  [err, fhead] = segy_read_file_header(fd);

  fd2 = segy_open_file('ad006-copy.segy');
  err = segy_write_file_header(fd2, fhead);

  trace = 0;
  while err == 0
    [err, thead, data] = segy_read_trace(fd, int32(1024));
    if err == 0
      err = segy_write_trace(fd2, thead, data);
    end
    trace = trace + 1;
    if (mod(trace, 500) == 0)
      fprintf('wrote %5d traces\n',trace);
    end
  end;

  fprintf('finished copy in %f seconds\n', toc);
  err = segy_close_file(fd);
  err = segy_close_file(fd2);
